[FR] Rasticrac v4.0.0 (wip)

Discussion dans 'News and informations' démarrée par Rastignac, 11 Mars 2019.

  1. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    Faisons une checklist rapide de la prochaine version de Rasticrac:

    - Accès à un iMachin jailbreaké en iOS3: [OUI].
    - Accès à un iMachin jailbreaké en iOS6: [OUI].
    - Accès à un iMachin jailbreaké en iOS9: [OUI].
    - Accès à un iMachin 64bits jailbreaké: [NON].
    - Accès à un quelqu'un qui a accès à un iMachin 64bits jailbreaké: [OUI].
    - Accès à un iMachin jailbreaké en iOS10: [NON].
    - Accès à un iMachin jailbreaké en iOS11: [NON].
    - Accès à un iMachin jailbreaké en iOS12: [NON].
    - Accès à quelqu'un qui a accès à un iMachin jailbreaké en iOS12: [OUI].
    - Tous les outils de Cydia compatibles iOS11/12: [OUI].
    - Une "decrypted.dylib" compatible iOS11/12: [EN THÉORIE].
    - Un outil de signature compatible iOS11/12: [EN THÉORIE].
    - Code de Rasticrac v4.0.0: [BIEN AVANCÉ].
    - Code de RemoteRasticrac v4.0.0: [PAS COMMENCÉ].

    Elle sera mise à jour si quelque chose se produit.

    Voilà.

    Hope.
     
    Chikipata94 aime votre message.
  2. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    Grosse avancée sur le code de Rasticrac v4.0.0 ces derniers jours.
    (Pas testé, bien sûr; mais progrès mesurables).
    Beaucoup de nettoyage. On enlève tous les vieux trucs, inutiles, obsolètes, ou qui ne serviront plus.

    Rasticrac v4.0.0 ne sera compatible qu'avec les iMachins 64bits et qu'avec iOS12. (Peut-être iOS11 aussi; on verra). Ça fait un paquet de bouts de code à jeter à la poubelle. La lessive fait du bien au code, finalement.

    Pour l'instant, tant que je n'ai pas une dylib sous le coude, je ne peux rien développer/tester/valider.
    Un dumper qui marche d'abord, un iMachin pour tester ensuite.
    Pas de dumper, pas de nouveau Rasticrac...

    Voilà.
     
  3. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    Grosse avancée sur la nouvelle version récemment:
    - Un DumpDecrypted (théoriquement) compatible avec iOS12 m'a été signalé: https://github.com/abit-me/dumpexec/tree/master/dumpdecrypted
    - Eugénie m'a contacté: elle avait un vieux iMachin pas jailbreaké qui traînait dans un tiroir. Il était non mis à jour, donc jailbreakable.
    - Goriot a pu jailbreaker la chose, en prêt.
    - Goriot a pu dépatouiller Cydia et les outils manquants, en moins d'une heure.
    - Goriot a pu tester les premières alphas pourries de Rasticrac, avant d'avoir à rendre le iTruc.

    Verdict:
    - Ça se lance. Ça tourne. Ça ne marche pas au final, mais déjà, ça se lance et ça tourne.
    - On reste sur de l'erreur 137 systématique pour l'instant ("ERR#137").
    - Goriot et Eugénie pourront retravailler là-dessus dans les prochains jours, j'espère.

    Voilà.
     
  4. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    do yourself a favor and don't waste time on the dumpdecrypted.dylib, but i could have told you that earlier.
    you have ignored any help from myself and crew at iPhonecake/Appcake

    FREE devices and help have been offered !

    I hope you also realize signing of files for os11 and os12 are completely different from each other.
    os10 and below are the old way, os11 changed a bit and os12 changed a lot.
     
  5. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    First, I need a valid dylib to dump the executables. No working dylib, no Rasticrac.
    Second, I need to sign the executables. But I need a dumping/decrypting dylib first.
    A new iDevice would be fantastic, but I need a dylib first.
    I don't want to "steal" an iDevice; first, I must be sure to have a chance to succeed. The working dylib first, then we'll see.
    Thanks.
     
  6. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2

    Je comprends cependant que l'appareil est GRATUIT, SANS ATTENTES..
    c'est un iPhone 6 on iOS 11.2 jailbroken,
    la batterie n'est pas très bonne mais en tant qu'appareil de "test" cela n'a pas d'importance.
    shsh2 blobs inclus pour iOS 12.1-12.3 donc mise à jour est possible.
    votre choix. quand vous le voulez, il est disponible pour vous.
     

Partager cette page